%define pkg_name        Tie-RangeHash
%define pkg_version     1.03
%define rpm_pkg_version 1.03
%define rpm_pkg_release 5.n0i.7

Summary:       Hashes with 'low,high' ranges as keys
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/R/RR/RRWO/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: reb00t-rpmdevtools
BuildRequires: perl(ExtUtils::MakeMaker)
%{!?_without_test:BuildRequires: perl(Algorithm::SkipList) >= 1.02}


%description
This module allows hashes to associate a value with a *range* of keys rather
than a single key.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}
%{fix_eol}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc Changes README


%changelog
* Tue May 22 2007 Marius Feraru <altblue@n0i.net> - 1.03-5.n0i.7
- spec file (re)created using N0i::CPAN::RPMizer 0.1
- rebuild on perl 5.8.8

* Thu Jul 28 2005 Marius Feraru <altblue@n0i.net> 1.03-4.n0i.6
- spec file (re)created using N0i::CPAN::RPMizer/1.01
- rebuild on perl 5.8.7

* Sun Mar 20 2005 Marius Feraru <altblue@n0i.net> 0:1.03-3.n0i.5
- version 1.03

* Sat Dec 04 2004 Marius Feraru <altblue@n0i.net> 0:0.72-2.n0i.4
- automatic rebuild (perl 5.8.6)

* Fri Apr 30 2004 Marius Feraru <altblue@n0i.net> 0:0.72-1.n0i.3
- spec file (re?)created using N0i::CPAN::RPMizer/2004032101

* Tue Dec 30 2003 Marius FERARU <altblue@n0i.net> 0:0.72-0.n0i.1
- version 0.72
- spec file (re?)created using N0i::CPAN::RPMizer/2003102001
